Verificare status pentru actualizarea bulk
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/checkstatus/bulk/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/checkstatus/bulk/example \ --header 'Authorization: <Authorization>'Authorizations
Secțiune intitulată „Authorizations”Parameters
Secțiune intitulată „Parameters”Path Parameters
Secțiune intitulată „Path Parameters”Responses
Secțiune intitulată „Responses”Rezultatul verificării de status
object
Unique identifier of the asynchronous operation
Current status of the bulk update
Timestamp of the latest menu status update
Details for the current menu status
Details for the current menu status
object
Example
{ "transaction_id": "a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9", "status": "SUCCESS", "last_updated_at": "2020-03-24T10:03:49.614Z", "details": [ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]" ]}Payload sau parametri invalizi
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Neautorizat
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Eroare internă a serverului
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]